OpenPose 1.0.0rc2 OpenPose: A Real-Time Multi-Person Key-Point Detection And Multi-Threading C++ Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | Protected Member Functions | List of all members
op::SubThread< TDatums, TWorker > Class Template Referenceabstract

`#include <subThread.hpp>`

Inherited by op::SubThreadNoQueue< TDatums, TWorker >, op::SubThreadQueueIn< TDatums, TWorker, TQueue >, op::SubThreadQueueInOut< TDatums, TWorker, TQueue >, and op::SubThreadQueueOut< TDatums, TWorker, TQueue >.

## Public Member Functions
| SubThread (const std::vector< TWorker > &tWorkers)
virtual | ~SubThread ()
void | initializationOnThread ()
virtual bool | work ()=0

## Protected Member Functions
size_t | getTWorkersSize () const
bool | workTWorkers (TDatums &tDatums, const bool inputIsRunning)

## Constructor & Destructor Documentation

template<typename TDatums , typename TWorker >

op::SubThread< TDatums, TWorker >::SubThread | ( | const std::vector< TWorker > & | tWorkers | ) |
| explicit

template<typename TDatums , typename TWorker >

op::SubThread< TDatums, TWorker >::~SubThread | ( |  | ) |
| virtual

## Member Function Documentation

template<typename TDatums , typename TWorker = std::shared_ptr<Worker<TDatums>>>

size_t op::SubThread< TDatums, TWorker >::getTWorkersSize | ( |  | ) | const
| inline protected

template<typename TDatums , typename TWorker >

void op::SubThread< TDatums, TWorker >::initializationOnThread | ( |  | ) |

template<typename TDatums , typename TWorker = std::shared_ptr<Worker<TDatums>>>

virtual bool op::SubThread< TDatums, TWorker >::work | ( |  | ) |
| pure virtual

Implemented in op::SubThreadQueueInOut< TDatums, TWorker, TQueue >, op::SubThreadQueueIn< TDatums, TWorker, TQueue >, op::SubThreadQueueOut< TDatums, TWorker, TQueue >, and op::SubThreadNoQueue< TDatums, TWorker >.

template<typename TDatums , typename TWorker >

bool op::SubThread< TDatums, TWorker >::workTWorkers | ( | TDatums & | tDatums,
|  | const bool | inputIsRunning
| ) |  |
| protected

The documentation for this class was generated from the following file:

- /home/travis/build/CMU-Perceptual-Computing-Lab/openpose/include/openpose/thread/subThread.hpp